/****************************************************************************
 *
 *		Target Tuning Symbol File
 *		-------------------------
 *
 * 		This file is populated with symbol information only for modules
 *		that have an object ID of 30000 or greater assigned.
 *
 *          Generated on:  13-May-2023 10:14:59
 *
 ***************************************************************************/

#ifndef AWE_FIR_TEST_CONTROLINTERFACE_H
#define AWE_FIR_TEST_CONTROLINTERFACE_H

// ----------------------------------------------------------------------
//  [FilterbankFIRV2]
// Newly created subsystem

#define AWE_FIR1_classID 0xBEEF07FF
#define AWE_FIR1_ID 30000

// int profileTime - 24.8 fixed point filtered execution time. Must be pumped 1000 times to get to within .1% accuracy
#define AWE_FIR1_profileTime_HANDLE 0x07530007
#define AWE_FIR1_profileTime_MASK 0x00000080
#define AWE_FIR1_profileTime_SIZE 0x00000001

// int L - Length of the time domain FIR filter
#define AWE_FIR1_L_HANDLE 0x07530008
#define AWE_FIR1_L_MASK 0x00000100
#define AWE_FIR1_L_SIZE 0x00000001

// int FFTSize - Length of the FFT used
#define AWE_FIR1_FFTSize_HANDLE 0x07530009
#define AWE_FIR1_FFTSize_MASK 0x00000200
#define AWE_FIR1_FFTSize_SIZE 0x00000001

// int numBlocks - Number of blocks in the subband filter
#define AWE_FIR1_numBlocks_HANDLE 0x0753000A
#define AWE_FIR1_numBlocks_MASK 0x00000400
#define AWE_FIR1_numBlocks_SIZE 0x00000001

// float coeffs[256] - Time domain filter coefficients
// Default value:
//     1
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
// Range: unrestricted
#define AWE_FIR1_coeffs_HANDLE 0x8753000B
#define AWE_FIR1_coeffs_MASK 0x00000800
#define AWE_FIR1_coeffs_SIZE 0x00000100


#define AWE_OBJECT_FOUND 0

#endif // AWE_FIR_TEST_CONTROLINTERFACE_H

