/*******************************************************************************
*
********************************************************************************
*     ModuleList.h  Created on 13-May-2023 10:14:58
********************************************************************************
*
*     Description:  Module list for the target
*
*     Copyright: (c) 2022 DSP Concepts, Inc. All rights reserved.
*                         3235 Kifer Road
*                         Santa Clara, CA 95054-1527
*
*******************************************************************************/
#include "AWECore.h"

#define TOTALNUMBEROFCLASSES 11

extern const UINT32 awe_modBlockConcatenateClass;
extern const UINT32 awe_modBlockExtractClass;
extern const UINT32 awe_modCfftClass;
extern const UINT32 awe_modComplexModulateClass;
extern const UINT32 awe_modComplexToRealImagClass;
extern const UINT32 awe_modDeinterleaveClass;
extern const UINT32 awe_modInterleaveClass;
extern const UINT32 awe_modOverlapAddClass;
extern const UINT32 awe_modSbComplexFIRClass;
extern const UINT32 awe_modTypeConversionClass;
extern const UINT32 awe_modZeroPaddingClass;


#define LISTOFCLASSOBJECTS \
&awe_modBlockConcatenateClass, \
&awe_modBlockExtractClass, \
&awe_modCfftClass, \
&awe_modComplexModulateClass, \
&awe_modComplexToRealImagClass, \
&awe_modDeinterleaveClass, \
&awe_modInterleaveClass, \
&awe_modOverlapAddClass, \
&awe_modSbComplexFIRClass, \
&awe_modTypeConversionClass, \
&awe_modZeroPaddingClass
